Index: /trunk/language/ca_ES/common.lang.php
===================================================================
--- /trunk/language/ca_ES/common.lang.php	(revision 8850)
+++ /trunk/language/ca_ES/common.lang.php	(revision 8851)
@@ -306,8 +306,5 @@
 $lang['Registration of %s'] = 'Registrat de %s';
 $lang['Album: %s'] = 'Categoria: %s';
-$lang['Picture uploaded by %s'] = 'Imatge carregada per %s';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Estat erroni de l\'usuari "invitat", s\'està utilitzant l\'estat predeterminat. Si us plau informeu-ho a l\'administrador de la web.';
-// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'L\'administrador, l\'administrador de la web i els usuaris especials no poden utilitzar aquest mètode';
 $lang['this email address is already in use'] = 'un usuari ja utilitza aquesta adreça de correu';
@@ -337,12 +334,9 @@
 $lang['cloud'] = 'núbol';
 $lang['Reset to default values'] = 'Reinicia als valors predeterminats';
-// --------- Starting below: New or revised $lang ---- from Colibri (2.1)
 $lang['delete all photos from your favorites'] = 'elimina totes les imatges de les preferides';
 $lang['Sent by'] = 'Enviat per';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Les galetes estan bloquejades o el navegador no en permet l\'ús. Heu d\'habilitar les galetes per poder-vos connectar.';
-
 $lang['edit this comment'] = "edita aquest comentari";
 $lang['Edit a comment'] = "Edita un comentari";
-
 $lang['Are you sure?'] = 'Esteu segurs?';
 $lang['delete this comment'] = 'elimina aquest comentari';
Index: /trunk/language/cs_CZ/common.lang.php
===================================================================
--- /trunk/language/cs_CZ/common.lang.php	(revision 8850)
+++ /trunk/language/cs_CZ/common.lang.php	(revision 8851)
@@ -311,8 +311,5 @@
 $lang['Registration of %s'] = 'Registrace %s';
 $lang['Album: %s'] = 'Album: %s';
-$lang['Picture uploaded by %s'] = 'Fotografie nahrána %s';
-
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Špatný stav pro uživatele "host", bude použit výchozí stav. Prosím informujte administrátora.';
-
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrátor nemůže použít tuto metodu.';
 $lang['this email address is already in use'] = 'Tato e-mailová adresa je již používána';
@@ -341,10 +338,6 @@
 $lang['show tag cloud'] = 'Zobrazit klíčová slova v bublině';
 $lang['cloud'] = 'bublina';
-// --------- Starting below: New or revised $lang ---- from Colibri (2.1)
-
 $lang['Are you sure?'] = 'Jste si jistý?';
 $lang['delete this comment'] = 'vymazat tento komentář';
-
-// missing translations 2.1.0
 $lang['Reset to default values'] = 'Obnovit výchozí hodnoty';
 $lang['delete all photos from your favorites'] = 'vymazat všechny obrázky z Vašich oblíbených';
@@ -366,5 +359,3 @@
 $lang['%d Kb'] = '%d Kb';
 $lang['IP: %s'] = 'IP: %s';
-
-
 ?>
Index: /trunk/language/da_DK/common.lang.php
===================================================================
--- /trunk/language/da_DK/common.lang.php	(revision 8850)
+++ /trunk/language/da_DK/common.lang.php	(revision 8851)
@@ -307,8 +307,5 @@
 $lang['Registration of %s'] = 'Registrering af %s';
 $lang['Album: %s'] = 'kategori: %s';
-$lang['Picture uploaded by %s'] = 'Foto uploaded af %s';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Forket status for gæste bruger. Kontakt webmaster.';
-// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, webmaster and specielle brugere akn ikke bruge denne metode';
 $lang['this email address is already in use'] = 'en bruger bruger allerede denne mail addresse';
Index: /trunk/language/es_AR/common.lang.php
===================================================================
--- /trunk/language/es_AR/common.lang.php	(revision 8850)
+++ /trunk/language/es_AR/common.lang.php	(revision 8851)
@@ -306,8 +306,5 @@
 $lang['Registration of %s'] = 'Registro de %s';
 $lang['Album: %s'] = 'Categoría: %s';
-$lang['Picture uploaded by %s'] = 'Imagen subida por %s';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'El estatuto de usuario "huésped" no corresponde, se utilizará el estatuto por defecto. Por favor avísele al webmaster.';
-// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administradores, webmasters y usuarios especiales no pueden usar ese método';
 $lang['this email address is already in use'] = 'ya existe un usuario con esa misma dirección de correo electrónico';
Index: /trunk/language/es_ES/common.lang.php
===================================================================
--- /trunk/language/es_ES/common.lang.php	(revision 8850)
+++ /trunk/language/es_ES/common.lang.php	(revision 8851)
@@ -306,8 +306,5 @@
 $lang['Registration of %s'] = 'Registro de %s';
 $lang['Album: %s'] = 'Album : %s';
-$lang['Picture uploaded by %s'] = 'foto subida por %s';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'El estatus del usuario "guest" no es conforme, se utilizará el estatus por defecto. Por favor, informe al administrador del sitio.';
-// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'El Administrador, el administrador del sitio y el usuario especial no pueden utilizar este método';
 $lang['this email address is already in use'] = 'Otro usuario ya utiliza esta dirección e-mail';
@@ -339,5 +336,4 @@
 $lang['Sent by'] = 'Enviado por';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'El cookies están bloqueados o sostenidos por su navegador Web. Usted debe acelerar el cookies para conectarse.';
-// --------- Starting below: New or revised $lang ---- from Colibri (2.1)
 $lang['delete all photos from your favorites'] = 'borrar todas las fotos de tus favoritos';
 $lang['Are you sure?'] = '¿Seguro?';
Index: /trunk/language/fa_IR/common.lang.php
===================================================================
--- /trunk/language/fa_IR/common.lang.php	(revision 8850)
+++ /trunk/language/fa_IR/common.lang.php	(revision 8851)
@@ -305,5 +305,4 @@
 $lang['Registration of %s'] = "Registration of %s";
 $lang['Album: %s'] = "Category: %s";
-$lang['Picture uploaded by %s'] = "تصویر توسط %s آپلود شده";
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = "وضعیت بد برای کاربر \"میهمان\" ، وضعیت پیش‌فرض . لطفا این موضوع را با وبمستر(مدیر‌سایت) در میان بگذارید.";
 $lang['Administrator, webmaster and special user cannot use this method'] = "مدیر ، وب‌مستر و کاربر ویژه نمی‌توانند از این متد استفاده نمایند.";
@@ -337,5 +336,4 @@
 $lang['Sent by'] = "ارسال به وسیله";
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = "شما در تنظیمات مرورگر خود کوکی ها را بلاک کردید یا مرورگر شما از کوکی پشتیبانی نمی‌کند. برای ورود به محیط کاربری باید کوکی‌ها فعال باشند.";
-
 $lang['edit this comment'] = "ویرایش این نظر";
 $lang['Edit a comment'] = "ویرایش یک نظر";
Index: /trunk/language/fr_CA/common.lang.php
===================================================================
--- /trunk/language/fr_CA/common.lang.php	(revision 8850)
+++ /trunk/language/fr_CA/common.lang.php	(revision 8851)
@@ -308,8 +308,5 @@
 $lang['Registration of %s'] = 'Enregistrement de %s';
 $lang['Album: %s'] = 'Catégorie : %s';
-$lang['Picture uploaded by %s'] = 'Image téléchargée par %s';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Statut de l\'utilisateur "guest" non conforme, utilisation du statut par défaut. Veuillez prévenir le webmestre.';
-// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrateur, webmestre et utilisateur spécial ne peuvent pas utiliser cette méthode';
 $lang['this email address is already in use'] = 'un autre utilisateur utilise déjà cette adresse de courriel';
@@ -342,5 +339,4 @@
 $lang['Sent by'] = 'Envoyé par';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Les cookies sont bloqués ou non supportés par votre navigateur web. Vous devez activer les cookies pour vous connecter.';
-
 $lang['edit this comment'] = "éditer ce commentaire";
 $lang['Edit a comment'] = "Éditer un commentaire";
Index: /trunk/language/fr_FR/common.lang.php
===================================================================
--- /trunk/language/fr_FR/common.lang.php	(revision 8850)
+++ /trunk/language/fr_FR/common.lang.php	(revision 8851)
@@ -305,8 +305,5 @@
 $lang['Registration of %s'] = 'Enregistrement de %s';
 $lang['Album: %s'] = 'Album : %s';
-$lang['Picture uploaded by %s'] = 'Photo téléchargée par %s';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Statut de l\'utilisateur "guest" non conforme, utilisation du statut par défaut. Veuillez prévenir le webmestre.';
-// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrateur, webmestre et utilisateur spécial ne peuvent pas utiliser cette méthode';
 $lang['this email address is already in use'] = 'un autre utilisateur utilise déjà cette adresse e-mail';
@@ -339,5 +336,4 @@
 $lang['Sent by'] = 'Envoyé par';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Les cookies sont bloqués ou non supportés par votre navigateur web. Vous devez activer les cookies pour vous connecter.';
-
 $lang['edit this comment'] = "éditer ce commentaire";
 $lang['Edit a comment'] = "Éditer un commentaire";
Index: /trunk/language/he_IL/common.lang.php
===================================================================
--- /trunk/language/he_IL/common.lang.php	(revision 8850)
+++ /trunk/language/he_IL/common.lang.php	(revision 8851)
@@ -291,7 +291,5 @@
 $lang['Update your rating'] = "עדכן את הדירוג שלך";
 $lang['wrong filename'] = "שם קובץ שגוי";
-$lang["can't upload the picture on the server"] = "לא ניתן להעלות את התמונה לשרת";
 $lang['the username must be given'] = "דרוש שם משתמש";
-$lang["A picture's name already used"] = "שם תמונה זה כבר נמצא בשימוש";
 $lang['useful when password forgotten'] = "שימושי במקרה ששכחת את הסיסמה";
 $lang['Quick search'] = "חיפוש מהיר";
@@ -307,5 +305,4 @@
 $lang['Registration of %s'] = "רישום של %s";
 $lang['Album: %s'] = "קטגוריה: %s";
-$lang['Picture uploaded by %s'] = "התמונה הועלתה על ידי %s";
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'מצב לא טוב עבור המשתמש "האורח", השתמש במצב ברירת מחדל. עדכן בבקשה את מנהל האתר.';
 $lang['Administrator, webmaster and special user cannot use this method'] = "מנהל ראשי, מנהל האתר ו ומשתמשים מסויימים לא יכולים להשתמש בmethod הזה";
Index: /trunk/tools/language/translation_validated.inc.php
===================================================================
--- /trunk/tools/language/translation_validated.inc.php	(revision 8850)
+++ /trunk/tools/language/translation_validated.inc.php	(revision 8851)
@@ -245,4 +245,5 @@
 	'Documentation',
 	'Photos',
+	'photo',
 	'pixels',
 	'Piwigo Uploader',