Index: /trunk/language/hr_HR/common.lang.php
===================================================================
--- /trunk/language/hr_HR/common.lang.php	(revision 8852)
+++ /trunk/language/hr_HR/common.lang.php	(revision 8853)
@@ -306,8 +306,5 @@
 $lang['Registration of %s'] = 'Upis od %s';
 $lang['Album: %s'] = 'Skupina: %s';
-$lang['Picture uploaded by %s'] = 'Sliku prebacio %s';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Loš status za korisnika "guest", koristi se pretpostavljeni status. Molimo obavjestite webmaster-a.';
-// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Upravitelj, webmaster i posebni korisnik ne mogu koristiti ovu metodu';
 $lang['this email address is already in use'] = 'korisnik već koristi ovu e-mail adresu';
Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 8852)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 8853)
@@ -80,5 +80,4 @@
 $lang['Edit selected tags'] = 'Kiválasztott címkék javítása';
 $lang['Edit tags'] = 'Címkék javítása';
-$lang['Elements'] = 'Elemek';
 $lang['Email admins when a new user registers'] = 'Email-küldés, ha egy új felhasználó regisztrál';
 $lang['Email admins when a valid comment is entered'] = 'Email-küldés, ha egy érvényes hozzászólás érkezik ';
Index: /trunk/language/hu_HU/common.lang.php
===================================================================
--- /trunk/language/hu_HU/common.lang.php	(revision 8852)
+++ /trunk/language/hu_HU/common.lang.php	(revision 8853)
@@ -307,8 +307,5 @@
 $lang['Registration of %s'] = 'Bejegyezte: %s';
 $lang['Album: %s'] = 'Album: %s';
-$lang['Picture uploaded by %s'] = 'A képet feltöltötte: %s';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Rossz felhasználói állapot "vendég", az alapértelmezett állapot. Kérjük, küldjön értesítést a webmesternek.';
-// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Adminisztrátor, webmester és különleges felhasználó nem használja ezt a módszert';
 $lang['this email address is already in use'] = 'Ezt az e-mail címet már egy másik felhasználó használja.';
@@ -338,5 +335,4 @@
 $lang['cloud'] = 'Felhő';
 $lang['Reset to default values'] = 'Alap értékek visszaállítása';
-// --------- Starting below: Új vagy javított $lang ---- Tőle: Colibri (2.1)
 $lang['delete all photos from your favorites'] = 'Minden kép törlése a kedvencekből';
 $lang['Sent by'] = 'Küldte';
@@ -345,5 +341,4 @@
 $lang['delete this comment'] = 'Hozzászólás törlése';
 $lang['Email address is missing. Please specify an email address.'] = 'E-mail cím hiányzik. Kérem írja be az e-mail címet.';
-// --------- Starting below: Új vagy javított $lang ---- Tőle: Colibri (2.1.0 RC1)
 $lang['edit this comment'] = 'Hozzászólás módosítása';
 $lang['Edit a comment'] = 'A hozzászólás módosítása';
@@ -359,4 +354,3 @@
 $lang['This author removed the comment with id %d'] = 'A szerző a következő hozzászólást törölte id %d';
 $lang['validate this comment'] = 'hozzászólás engedélyezése';
-
 ?>
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 8852)
+++ /trunk/language/it_IT/admin.lang.php	(revision 8853)
@@ -82,5 +82,4 @@
 $lang['Edit selected tags'] = 'Modificare i tags selezionati';
 $lang['Edit tags'] = 'Modificare i tags';
-$lang['Elements'] = 'Elementi';
 $lang['Email admins when a new user registers'] = 'Notificare gli amministratori dell\'iscrizione di un nuovo utente';
 $lang['Email admins when a valid comment is entered'] = 'Notificare gli amministratori della presenza di un nuovo commento';
Index: /trunk/language/it_IT/common.lang.php
===================================================================
--- /trunk/language/it_IT/common.lang.php	(revision 8852)
+++ /trunk/language/it_IT/common.lang.php	(revision 8853)
@@ -305,8 +305,5 @@
 $lang['Registration of %s'] = 'Registrazione di %s';
 $lang['Album: %s'] = 'Album: %s';
-$lang['Picture uploaded by %s'] = 'Immagine caricata da %s';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Lo status dell\'utente "guest" non è conforme, viene usato lo status di default. Per favore avvisa il webmaster.';
-// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Amministratore, webmaster e utente speciale non possono utilizzare questo metodo';
 $lang['this email address is already in use'] = 'un utente usa già questo indirizzo mail';
Index: /trunk/language/ja_JP/admin.lang.php
===================================================================
--- /trunk/language/ja_JP/admin.lang.php	(revision 8852)
+++ /trunk/language/ja_JP/admin.lang.php	(revision 8853)
@@ -80,5 +80,4 @@
 $lang['Edit selected tags'] = '選択したタグを編集する';
 $lang['Edit tags'] = 'タグを編集する';
-$lang['Elements'] = 'エレメント';
 $lang['Email admins when a new user registers'] = '新しいユーザ登録時、管理者にメールする';
 $lang['Email admins when a valid comment is entered'] = '有効なコメントが入力された場合、管理者にメールする';
Index: /trunk/language/ja_JP/common.lang.php
===================================================================
--- /trunk/language/ja_JP/common.lang.php	(revision 8852)
+++ /trunk/language/ja_JP/common.lang.php	(revision 8853)
@@ -306,8 +306,5 @@
 $lang['Registration of %s'] = '%s の登録';
 $lang['Album: %s'] = 'カテゴリ: %s';
-$lang['Picture uploaded by %s'] = '%s によりアップロードされた写真';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'デフォルトステータスの使用に関して、ユーザ「ゲスト」は正しくないステータスです。ウェブマスタにご連絡ください。';
-// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = '管理者、ウェブマスタおよび特別ユーザは、この方法を使用できません。';
 $lang['this email address is already in use'] = 'このメールアドレスは、すでに他のユーザに使用されています。';