Index: /extensions/Autosize/admin/admin_autosize.php
===================================================================
--- /extensions/Autosize/admin/admin_autosize.php	(revision 8863)
+++ /extensions/Autosize/admin/admin_autosize.php	(revision 8864)
@@ -45,10 +45,10 @@
                 $my_base_url.'&amp;tab=autosize_admin'
 			   );
-/*		   
-$tabsheet->add( 'autosize_content',
-                l10n('content'),
-                $my_base_url.'&amp;tab=autosize_content'
+ 
+$tabsheet->add( 'autosize_help',
+                l10n('help'),
+                $my_base_url.'&amp;tab=autosize_help'
 			   );
-*/			   
+			   
 			   
 			   
@@ -82,6 +82,6 @@
 // |                          Sélection de l'onglet                        |
 // *************************************************************************
-$autosizes_message ="";  
-$erreur_message="";
+global $infos_message ;  
+global $erreur_message;
 global $conf;
 global $autosize_parametres;
@@ -89,10 +89,7 @@
     global $picture;
  
-  $visible=true;	
-
-        $path = AUTOSIZE_PATH;
- 
- 
-	 $autosize_parametres = cl_autosize_Get_Options();
+ $visible=true;	
+ $path = AUTOSIZE_PATH;
+ $autosize_parametres = cl_autosize_Get_Options();
 	  
    if (isset($_POST['submit']))  {  
@@ -112,27 +109,57 @@
  {
   case 'autosize_admin':
-
     $template->set_filenames(array('plugin_admin_content' => realpath(AUTOSIZE_PATH . 'admin/template/admin.tpl')));
-
- 
     $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
     break; 
  
-case 'autosize_content':
+case 'autosize_help': 
 
-  
- $template->set_filenames(array( 'plugin_admin_content' => realpath(AUTOSIZE_PATH . 'template/picture.tpl' )));
+ $message="<fieldset id='fieldset'>
+    <script id='dimensions' src='./plugins/Autosize/js/jquery.dimensions.js'></script>
+    <script id='Affiche_script' src='./plugins/Autosize/js/Affiche_script.js'></script>
+    <div class='autosize' 
+         autosize='MargeBasse:30px;MargeHaute:30px;parent:fieldset;ResizePicture:true'
+         >
+
+        <img src='./galleries/Voyages/Europe/Italie/Chianti/IMG_0520.JPG' width='100%' />
+        </a>
+    </div>
+</fieldset>"; 
+    if (isset($_POST['valid']))  {    	$message = empty($_POST['texte']) ? $message : stripslashes($_POST['texte']);
+	}	
+    //=========================================================================		
+	 	$toolbar = 'Basic';
+  		$width = '100%';
+  		$height = '200px';
+  		$areas = array();
+  		$areas[]='texte';
+		if (!empty($areas)){
+  				if (function_exists('set_fckeditor_instance'))
+    				set_fckeditor_instance($areas, $toolbar, $width, $height);
+  			}
+		 
+
+
+
+
+   
+
+
+ $template->set_filenames(array( 'plugin_admin_content' => realpath(AUTOSIZE_PATH . 'admin/template/help.tpl' )));
+ $template->assign(
+  					array(
+   'message' =>  $message  ,
+   ));
+
+
  $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
  break; 
   }
-if (!isset($autosizes_message)){
-		  $autosizes_message = "";
-		} 
- 
- 
-		  
-		if  ($autosizes_message != "")  {
-		   array_push($page['autosizes'],  $autosizes_message);
-		 $autosizes_message="";
+       if (!isset($infos_message)){
+		  $infos_message = "";
+		}  		  
+		if  ($infos_message != "")  {
+		   array_push($page['infos'],  $infos_message);
+		   $infos_message="";
 		 }
 		if (!isset($erreur_message)){
Index: /extensions/Autosize/admin/template/admin.tpl
===================================================================
--- /extensions/Autosize/admin/template/admin.tpl	(revision 8863)
+++ /extensions/Autosize/admin/template/admin.tpl	(revision 8864)
@@ -197,5 +197,5 @@
 </form>
  
- </table >
-
- 
+ </table >                
+ 
+ 
Index: /extensions/Autosize/include/affiche.php
===================================================================
--- /extensions/Autosize/include/affiche.php	(revision 8863)
+++ /extensions/Autosize/include/affiche.php	(revision 8864)
@@ -26,5 +26,5 @@
 					'cl_plugin' => $cl_plugin,
 
-					'fade_in' =>$autosize_parametres->fade_in,
+					'fade_in' => $autosize_parametres->fade_in,
 					'thumbnail' => $conf['prefix_thumbnail'],
                     'visible' => $visible,
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 8863)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 8864)
@@ -50,11 +50,11 @@
 //==========================================================================
 function Wait_Affichage() {
-
     fade_in = parseInt(fade_in);
+   
     if (!jQuery().newResize()) {
         setTimeout("Wait_Affichage()", 500);
         return
     }
-
+ nu_img++;
     if (fade_in == 0) {
         jQuery(Parent).css({ opacity: "1" });
@@ -73,5 +73,18 @@
                        }
               );
-    }
+                   }
+                   if (nu_img > 1) return;
+
+                  
+
+    img_h = jQuery(TheImg).height();
+    img_w = jQuery(TheImg).width();
+
+    jQuery("#src_img_h").val(img_h);
+    jQuery("#src_img_w").val(img_w);
+    jQuery("#ret_autosize").val(src_img);
+
+    jQuery("#ret_autosize").trigger('ON');
+
 
 }
@@ -82,30 +95,66 @@
 function Autosize_resize(Obj) {
     if (typeof cl_visible != "undefined") return;
-    var winwidth = jQuery(window).width();
-    var winheight = jQuery(window).height();
+
+
+
+    conf = jQuery(Obj).get(0).conf;
+    Obj = jQuery(Obj).get(0).obj;
+    myWindow = jQuery("#" + conf.parent).infos();
+
+    if (myWindow == 0) myWindow = jQuery(window).infos();
+    marge_basse = 0;
+    if (conf.MargeBasse)
+        marge_basse = jQuery().Get_Val_int(
+            conf.MargeBasse
+    );
     info_Obj = jQuery(Obj).infos();
     h1_left = jQuery(Obj).absoluteLeft();
-        h1_top = jQuery(Obj).absoluteTop();
-        h1 = (winheight - h1_top);
-     img = jQuery(Obj).find("img") ;
-     rap = jQuery(img).height() / jQuery(img).width();
-     w2 = (h1 / rap);
-     
-     if (w2 < info_Obj.width)
-         marginLeft = info_Obj.left + parseInt((info_Obj.width - w2) / 2)+"px";
-     else
-         marginLeft = "auto";
-     Obj.css({ width: "auto",
-         marginLeft: "auto",
-              verticalAlign: "middle", textAlign: "center"
-               });
-        Obj.height(h1);
-         
-
-           img.height(h1);        
-           img.width(w2);              
-
-
-   
+    h1_top = jQuery(Obj).absoluteTop();
+    if (typeof old_h1 == "undefined") old_h1 = 0;
+
+
+
+    if (h1_top < info_Obj.height)
+        h1 = (myWindow.height - h1_top - marge_basse);
+    else
+        h1 = (myWindow.height - marge_basse);
+
+    if (h1 == old_h1) return;
+    old_h1 = h1;
+
+    imgs = jQuery(Obj).find("img");
+    rap = jQuery(imgs).height() / jQuery(imgs).width();
+    w2 = (h1 / rap);
+
+    // ("source:" + message);
+
+    if (w2 < info_Obj.width)
+        marginLeft = info_Obj.left + parseInt((info_Obj.width - w2) / 2) + "px";
+    else
+        marginLeft = "auto";
+
+    jQuery(Obj).css({ width: "auto",
+        marginLeft: "auto", marginBottom: 0 + "px",
+        verticalAlign: "middle", textAlign: "center"
+    });
+    jQuery(Obj).height(h1);
+    //=============================================================
+    if (conf.ResizePicture != "true") {
+
+    } else
+        jQuery(imgs).each(function (i) {
+            img = jQuery(this);
+            rap = jQuery(this).height() / jQuery(this).width();
+            w2 = parseInt(h1 / rap);
+            if (w2 > 0 && h1 > 0 && img.length > 0) {
+                img.height(h1);
+                img.width(w2);
+            }
+
+        });
+
+
+
+
 }
 jQuery.extend(jQuery.expr[':'], {
@@ -114,9 +163,21 @@
         n1 = a.className;
         // personal_block
-        if (n1 == "autosize") {
-            List_autosize.push(a);
-            Autosize_resize(jQuery(a));
-            jQuery(a).css({ opacity: 1 });
-
+        if (n1.match(RegExp("autosize", "gi"))) {
+            //   autoresize = "MargeBasse:30px; ResizePicture:false"
+            infconf = jQuery(a).attr("autosize");
+            n1 = typeof infconf;
+            conf = { MargeBasse: 0, NoPicture: false }
+            if (n1 == "undefined") {
+
+            } else {
+                tableau = infconf.split(";");
+                for (var i = 0; i < tableau.length; i++) {
+                    tableau2 = tableau[i].split(":");
+                    conf[jQuery.trim(tableau2[0])] = jQuery.trim(tableau2[1]);
+                }
+
+                List_autosize.push({ obj: a, conf: conf });
+                jQuery(a).css({ opacity: 1 });
+            }
         }
         //  Css = jQuery(a).getStyles(a);
@@ -126,7 +187,13 @@
     }
 });
- 
-
- 
+
+
+function List_autosize_resize(event, ui) {
+    if (List_autosize.length == 0) return;
+    for (i = 0; i < List_autosize.length; i++) {
+        Autosize_resize(jQuery(List_autosize[i]));
+    }
+
+}
 //==============================================================
 jQuery(document).ready(
@@ -139,8 +206,5 @@
          jQuery(window).resize(
                function (event, ui) {
-                   if (List_autosize.length == 0) return;
-                   for (i = 0; i < List_autosize.length; i++) {
-                       Autosize_resize(jQuery(List_autosize[i]));
-                   }
+                   List_autosize_resize(event, ui);
 
                });
@@ -151,5 +215,5 @@
                  if (List_autosize.length == 0) return;
                  for (i = 0; i < List_autosize.length; i++) {
-                     Autosize_resize(jQuery(List_autosize[i])); 
+                     Autosize_resize(jQuery(List_autosize[i]));
                  }
 
@@ -251,6 +315,7 @@
                      jQuery(bp1).trigger('ON');
                  }
+                 if (typeof cl_visible == "undefined") return;
+                 if (!cl_visible == true) { return true; }
                  var chk = eval(user_status + "_enabled");
-                 if (!cl_visible == true) { return true; }
                  if (chk == "") { return true; }
 
@@ -1236,5 +1301,5 @@
         info_description.bottom -= info_img.top;
     }
- //   if (msie == true) info_description.bottom -= 4;
+    //   if (msie == true) info_description.bottom -= 4;
 
     info_description.height = info_description.bottom - info_description.top;
@@ -1366,4 +1431,5 @@
     // Add 10 testing debugs to start with
     jQuery(window).load(function () {
+        DEBUG = (typeof DEBUG != "undefined") ? DEBUG : "false";
         if (DEBUG == "true") {
             for (var i = 0; i < 10; i++) {
Index: /extensions/Autosize/js/conflit.js
===================================================================
--- /extensions/Autosize/js/conflit.js	(revision 8863)
+++ /extensions/Autosize/js/conflit.js	(revision 8864)
@@ -1,4 +1,3 @@
 ﻿//==== cl_conflit  remplace $(... avec jQuery( ====
-
 //===================================================
 var detect = navigator.userAgent.toLowerCase();
@@ -7,7 +6,6 @@
 //============================================================================== 
 browser = detect_browser();
-
 function detect_browser() {
-    
+
     mybrowser = {
         browser: "",
@@ -19,7 +17,9 @@
         firefox: false,
         msie: false,
-        netscape: false
+        netscape: false,
+        seamonkey: false 
     }
     if (checkIt('konqueror')) { mybrowser.Konqueror = true; lbrowser = "konqueror"; OS = "Linux"; }
+    else if (checkIt('seamonkey')) { mybrowser.seamonkey = true; lbrowser = "seamonkey"; }
     else if (checkIt('chrome')) { mybrowser.chrome = true; lbrowser = "chrome"; }
     else if (checkIt('safari')) { mybrowser.safari = true; lbrowser = "safari"; }
@@ -39,14 +39,9 @@
         else OS = "an unknown operating system";
     }
-    mybrowser.version =version;
+    mybrowser.version = version;
     mybrowser.OS = OS;
     mybrowser.browser = lbrowser;
     return mybrowser
-
-
 };
-
-
-
 function checkIt(string) {
     place = detect.indexOf(string) + 1;
@@ -54,9 +49,8 @@
     return place;
 }
+
 /*
   
 */
-
-
 konqueror = mybrowser.konqueror || false;
 chrome = mybrowser.chrome || false;
@@ -67,10 +61,6 @@
 msie = mybrowser.msie || false;
 netscape = mybrowser.netscape || false;
-
-
-
 var time_out = 0;
 //===================================================
-
 nbpa = 0;
 var Fn;
@@ -188,16 +178,14 @@
             })
             //=============================================================  
-
             //   jQuery(window).resize();
         });
-        //=============================================================        
         //  $ = _$2; ;
     });
-
-
-
 //=========================================================
-
 jQuery.fn.extend({
+    $: function (el, nc) {
+        a = conflit(el, nc);
+        return a;
+    },
 
     //---------------- luciano -------------------------------
@@ -481,5 +469,5 @@
 }
 //====================================
-test_conflit = false;
+
 librairies = new Array;
 $_ = $;
@@ -535,8 +523,9 @@
 })(jQuery);
 
-if (test_conflit != true) {
+if (typeof MooTools == "undefined" && typeof Prototype == "undefined") {
+
+} else {}
     //-------------------------------------------------------------- 
     $_0 = $;
-
     function $(element, nc0) {
         if (typeof jQuery.fn.infos != "function")
@@ -546,49 +535,8 @@
         return a;
     }
-
-
-        $.isFunction = function (value) { return jQuery.isFunction(value); }
-        $.inArray = function (a, b) { return jQuery.inArray(a, b); }
-        $.error  = function (a , b , c)  {jQuery.error(a , b , c);} 
-
-    if (typeof ($.extend) != "function") {
-     $.extend = function (a,b) {
-         return jQuery.extend(a, b);
-        } ;
-
- 
-     }
-
-    if (typeof ($.ajax) != "function") {
-        $.ajax = function (origSettings) {
-            jQuery.ajax(origSettings);
-        }
-
-
-        $.parseJSON = function (msg) {
-            return jQuery.parseJSON(msg);
-        }
-
-    }
-    //============================================
-    /* url (String): URl de la page à charger 
-    * params (Map): (optionnel) paires de clé/valeur qui seront envoyées au serveur. 
-    * callback (Fonction): (optionnel) fonction qui sera éxécutée quand les données sera chargées. 
-    * type (String): (optionnel) format des données renvoyées à la fonction de callback 
-    */
-    if (typeof ($.get) != "function") {
-        $.get = function (a, b, c, d) {
-            return jQuery.get(a, b, c, d);
-        }
-    }
-    if (typeof ($.post) != "function") {
-
-        $.post = function (a, b, c, d) {
-            return jQuery.post(a, b, c, d);
-        }
-        ;
-
-    }
-
-}
-//-------------------------------------------------------------- 
+    //=== ajout des fonctions jQuery ===
+    jQuery.extend($, jQuery);
+
+
+    //-------------------------------------------------------------- 
+
Index: /extensions/Autosize/main.inc.php
===================================================================
--- /extensions/Autosize/main.inc.php	(revision 8863)
+++ /extensions/Autosize/main.inc.php	(revision 8864)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: AutoSize
-Version: 1.4.34
+Version: 1.4.35
 Description: Ajuste l'affichage des photos en fonction de la hauteur de la fenetre de navigation
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=448
Index: /extensions/Autosize/template/autosize.tpl
===================================================================
--- /extensions/Autosize/template/autosize.tpl	(revision 8863)
+++ /extensions/Autosize/template/autosize.tpl	(revision 8864)
@@ -6,5 +6,5 @@
 
  <script type="text/javascript">
-
+    var src_img = '{$SRC_IMG}';
     var fade_in = '{$fade_in}';
     var cl_visible = "{$cl_visible}" =="true";
@@ -46,5 +46,5 @@
     var check_auto_w = '{$check_auto_w}';
     var check_desc_v = '{$check_desc_v}';
-     </script>
+ </script>
 {known_script id="Affiche_script" src=$AUTOSIZE_PATH|@cat:"js/Affiche_script.js"}
 <link href="{$AUTOSIZE_PATH}css/autosize.css" rel="stylesheet" type="text/css" />
Index: /extensions/Autosize/template/picture.tpl
===================================================================
--- /extensions/Autosize/template/picture.tpl	(revision 8863)
+++ /extensions/Autosize/template/picture.tpl	(revision 8864)
@@ -20,3 +20,7 @@
 
  </script>
- 
+ <form method="post">
+<input id="ret_autosize"  type="hidden" value="" />
+<input id="src_img_h"  type="hidden" value="" />
+<input id="src_img_w"   type="hidden" value="" />
+</form>