Index: /extensions/gvideo/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/gvideo/language/en_UK/plugin.lang.php	(revision 8865)
+++ /extensions/gvideo/language/en_UK/plugin.lang.php	(revision 8866)
@@ -8,5 +8,5 @@
 $lang['py_parent'] = 'Main Category';
 $lang['py_thumb'] = 'Thumbnail';
-$lang['py_no_thumb'] = 'Pas de miniature';
+$lang['py_no_thumb'] = 'No thumbnail';
 $lang['py_thumb_from_server'] = 'Upload thumbnail from server';
 $lang['py_thumb_from_user'] = 'Upload your own thumbnail:';
@@ -28,5 +28,5 @@
 $lang['pybulle_miniature'] = "You can get thumbnail back on the server. By default, thumbnails size are 320x240 on Google Video, 320x240 on Dailymotion, 130x97 on Youtube, 154x114 on Wideo and 200x150 on Vimeo.<br><br> Or you can upload your own thumbnail.<br><br> In both case, you can change dimension of thumbnail.";
 
-// Messages d'infos ou d'erreurs
+//Info messages or error
 $lang['py_error1'] = 'No local site! Impossible to create a video file.';
 $lang['py_error2'] = 'Impossible to save. You do not fill correctly formulary.';
Index: /extensions/gvideo/language/no_NO/description.txt
===================================================================
--- /extensions/gvideo/language/no_NO/description.txt	(revision 8866)
+++ /extensions/gvideo/language/no_NO/description.txt	(revision 8866)
@@ -0,0 +1,1 @@
+Legger til videoer fra google Video, Dailymotion, Youtube, Wideo, Vimeo eller Wat.
Index: /extensions/gvideo/language/no_NO/index.php
===================================================================
--- /extensions/gvideo/language/no_NO/index.php	(revision 8866)
+++ /extensions/gvideo/language/no_NO/index.php	(revision 8866)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/gvideo/language/no_NO/plugin.lang.php
===================================================================
--- /extensions/gvideo/language/no_NO/plugin.lang.php	(revision 8866)
+++ /extensions/gvideo/language/no_NO/plugin.lang.php	(revision 8866)
@@ -0,0 +1,46 @@
+<?php
+
+$lang['py_title'] = 'PYWaie GVideo';
+$lang['py_conf'] = 'Konfigurasjon';
+$lang['py_addvideo'] = 'Legg til en video';
+$lang['py_filename'] = 'Fil navn';
+$lang['py_url'] = 'URL til videoen';
+$lang['py_parent'] = 'Hoved kategori';
+$lang['py_thumb'] = 'Miniatyr bilde';
+$lang['py_no_thumb'] = 'Ingen miniatyrbilder ';
+$lang['py_thumb_from_server'] = 'Last opp miniatyrbilder fra server';
+$lang['py_thumb_from_user'] = 'Last opp dine egne miniatyr bilder:';
+$lang['py_add_band'] = 'Legg til band på siden av miniatyrbildene';
+$lang['py_thumb_resize'] = 'Endre størrelse på miniatyr bildene';
+$lang['py_width'] = 'Bredde';
+$lang['py_height'] = 'Høyde';
+$lang['py_start'] = 'Starten av videoen';
+$lang['py_*'] = 'Obligatorisk felt';
+$lang['py_autostart'] = 'Start automatisk';
+$lang['py_quality'] = 'Kvalitet';
+$lang['py_playermode'] = 'Spiller modus';
+
+
+// Info veileder
+$lang['pybulle_reference'] = "Lim inn en link til videoen her.<br>Du kan bruke GoogleVideo, YouTube, DailyMotion, Wideo, Vimeo eller Wat. Eksempler:<br><br>- http://video.google.fr/videoplay?docid= … lt;br>- http://www.youtube.com/watch? v=eUvApC0bwUk<br>- http://www.dailymotion.com/video/x29fys … lt;br>- http://www.wideo.fr/video/iLyROoaftYvl.html<br>- http://www.vimeo.com/1747316<br>- http://www.wat.tv/video/abcd.html";
+$lang['pybulle_start'] = "Velg start punktet (i sekunder) på videoen.<br>Dette alternativet kan bare brukes med GoogleVideo.";
+$lang['pybulle_categorie'] = "Album du vil filen skal lages i: kun ekte album er listet. Om du ønsker å linke denne filen til et virtuelt album, må du linke det i ettertid.";
+$lang['pybulle_miniature'] = "Du kan få miniatyr bilder tilbake på serveren. SOm standard, miniatyr bildenes størrelse er 320x240 på Google Video, 320x240 på Dailymotion, 130x97 på Youtube, 154x114 på Wideo og 200x150 på Vimeo.<br><br> Eller du kan laste opp dine egne miniatyr bilder.<br><br> I alle tilfeller, du kan endre dimensjonene på dine miniatyr bilder.";
+
+// Messages d'infos ou d'erreurs
+$lang['py_error1'] = 'Ingen lokal side! Umulig å lage video filer.';
+$lang['py_error2'] = 'Umulig å lagre. Du har ikke fylt ut skjema korrekt.';
+$lang['py_error3'] = 'Du må fylle inn obligatoriske felt *';
+$lang['py_error5'] = 'Feil URL!';
+$lang['py_error6'] = 'filen "%e" eksisterer allerede.';
+$lang['py_error7'] = 'Umulig å skrive filer';
+$lang['py_error8'] = 'vennligst sjekk om mappen %e har rettigheter(chmod).';
+$lang['py_error9'] = 'En feil oppstod når miniatyr bildet ble lastet opp eller endret størrelse.';
+$lang['py_error11'] = 'Et miniatyr bilde med samme navn eksisterer allerede';
+$lang['py_error12'] = 'Miniatyr bilde felt er tomt : miniatyr ble ikke lastet opp.';
+$lang['py_info2'] = 'Miniatur bilde lastet opp';
+$lang['py_info3'] = 'Video ble lagt til';
+$lang['py_info4'] = 'Konfigurasjon lagret.';
+$lang['py_show_file'] = '<a href="%s" class="externalLink">Vis video</a>.';
+
+?>