Index: extensions/GrumPluginClasses/language/no_NO/description.txt
===================================================================
--- extensions/GrumPluginClasses/language/no_NO/description.txt	(revision 8883)
+++ extensions/GrumPluginClasses/language/no_NO/description.txt	(revision 8883)
@@ -0,0 +1,1 @@
+Klasser delt mellom plugginer
Index: extensions/GrumPluginClasses/language/no_NO/index.php
===================================================================
--- extensions/GrumPluginClasses/language/no_NO/index.php	(revision 8883)
+++ extensions/GrumPluginClasses/language/no_NO/index.php	(revision 8883)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/GrumPluginClasses/language/no_NO/plugin.lang.php
===================================================================
--- extensions/GrumPluginClasses/language/no_NO/plugin.lang.php	(revision 8883)
+++ extensions/GrumPluginClasses/language/no_NO/plugin.lang.php	(revision 8883)
@@ -0,0 +1,17 @@
+<?php
+$lang['Module'] = 'Modul';
+$lang['Version'] = 'Versjon';
+$lang['List of shared modules'] = 'Liste med delte moduler';
+$lang['List of installed plugins using Grum Plugin Classes'] = 'Liste av installerte plugginer som bruker Grum Pluggin klasser';
+$lang['Plugin'] = 'Pluggin';
+$lang['GPC required'] = 'GPC er nødvendig';
+$lang['Installed'] = 'Installert';
+$lang['Infos'] = 'Informasjon';
+$lang['Some plugins are dependent on Grum Plugin Classes: before uninstall, you must first uninstall the plugins dependent'] = 'Noen plugginer er avhengig av Grum Pluggin klasser: Før avsinstallering, må du først avinstallere plugginens avhegighet';
+
+// gpc > 3.3.0
+$lang['Public'] = 'Almenn';
+$lang['Private'] = 'Privat';
+$lang['All the gallery'] = 'Hele galleriet';
+
+?>
Index: extensions/GrumPluginClasses/language/no_NO/rbuilder.lang.php
===================================================================
--- extensions/GrumPluginClasses/language/no_NO/rbuilder.lang.php	(revision 8883)
+++ extensions/GrumPluginClasses/language/no_NO/rbuilder.lang.php	(revision 8883)
@@ -0,0 +1,27 @@
+<?php
+
+$lang['gpc_rb_search_criterion']='Søke kriterier';
+$lang['gpc_rb_do_modify_request']='Endre søk';
+$lang['gpc_rb_result_query']='Søke resultat';
+$lang['gpc_rb_number_of_item_found']='Antall bilder funnet';
+$lang['gpc_rb_add_criterions']='Kriterie';
+$lang['gpc_rb_clear_criterions']='Tilbakestill kriterie';
+$lang['gpc_rb_search']='Søk';
+$lang['gpc_rb_textAND']='Alle kriterier må være valgt';
+$lang['gpc_rb_textOR']='Minst et kriterie må være valgt';
+
+$lang['gpc_manage_caddie'] = 'Kurv behandler';
+$lang['gpc_add_caddie'] = 'Søke resultat er lagt til kurven';
+$lang['gpc_replace_caddie'] = 'Søke resultat bytter innhold i kurven';
+$lang['gpc_the_caddie_is_updated'] = 'Kurv er oppdatert';
+$lang['gpc_something_is_wrong_on_the_server_side'] = 'En feil oppstod på server siden';
+
+// GPC 3.3.2
+$lang['There is no criteria ! At least, one criteria is required to do search...']="Det er ingen kriterier ! Minst et kriterie kreves for å søke...";
+
+$lang['gpc_help_edit_criteria']="Rediger kriterie";
+$lang['gpc_help_delete_criteria']="Slett kriterie";
+$lang['gpc_help_move_criteria']="Dra og slipp for å organisere søke alternativer";
+$lang['gpc_help_switch_condition']="Innverter for å endre handlemåten til (Og &hArr; Eller)";
+
+?>