Index: /extensions/ContactForm/classes/cf_plugin.class.php
===================================================================
--- /extensions/ContactForm/classes/cf_plugin.class.php	(revision 8886)
+++ /extensions/ContactForm/classes/cf_plugin.class.php	(revision 8887)
@@ -183,4 +183,5 @@
   protected function display_form($infos) {
     global $template,$user;
+    trigger_action('display_contactform');
     $template->set_extent(realpath(cf_get_template('cf_index.tpl')), 'index');
     $template->set_filenames(array(
@@ -396,5 +397,4 @@
     
     $infos = $this->create_infos_array(false);
-    $params_ok = true;
     $return = '';
     $value = '';
@@ -404,5 +404,4 @@
     } else {
       $infos['cf_id'] = rand();
-      $params_ok = false;
       array_push( $infos['errors'], l10n('cf_form_error'));
     }
@@ -414,9 +413,7 @@
       } else {
         array_push( $infos['errors'], l10n('cf_from_name_error'));
-        $params_ok = false;
       }
     } else {
       array_push( $infos['errors'], l10n('cf_from_name_error'));
-      $params_ok = false;
     }
     // From mail
@@ -427,10 +424,8 @@
         $infos['cf_from_mail'] = $value;
       } else {
-        $params_ok = false;
         array_push( $infos['errors'], $return);
       }
     } else {
       array_push( $infos['errors'], l10n('cf_mail_format_error'));
-      $params_ok = false;
     }
     // Subject
@@ -441,9 +436,7 @@
       } else {
         array_push( $infos['errors'], l10n('cf_subject_error'));
-        $params_ok = false;
       }
     } else {
       array_push( $infos['errors'], l10n('cf_subject_error'));
-      $params_ok = false;
     }
     // Message
@@ -454,11 +447,12 @@
       } else {
         array_push( $infos['errors'], l10n('cf_message_error'));
-        $params_ok = false;
       }
     } else {
       array_push( $infos['errors'], l10n('cf_message_error'));
-      $params_ok = false;
-    }
-    return $params_ok;
+    }
+
+    $infos = trigger_event('check_contactform_params', $infos);
+
+    return empty($infos['errors']);
   }
   
Index: /extensions/ContactForm/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/cs_CZ/plugin.lang.php	(revision 8886)
+++ /extensions/ContactForm/language/cs_CZ/plugin.lang.php	(revision 8887)
@@ -28,5 +28,5 @@
 // Messages
 $lang['cf_from_name_error'] = 'Prosím zadejte Vaše jméno';
-$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_mail_format_error'] = $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'];
 $lang['cf_subject_error'] = 'Prosím zadejte předmět zprávy';
 $lang['cf_message_error'] = 'Prosím zadejte zprávu';
Index: /extensions/ContactForm/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/de_DE/plugin.lang.php	(revision 8886)
+++ /extensions/ContactForm/language/de_DE/plugin.lang.php	(revision 8887)
@@ -27,5 +27,5 @@
 // Messages
 $lang['cf_from_name_error'] = 'Bitte fügen Sie Ihren Namen ein';
-$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_mail_format_error'] = $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'];
 $lang['cf_subject_error'] = 'Bitte fügen Sie den Betreff ein';
 $lang['cf_message_error'] = 'Bitte fügen Sie eine Mitteilung hinzu';
Index: /extensions/ContactForm/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/en_UK/plugin.lang.php	(revision 8886)
+++ /extensions/ContactForm/language/en_UK/plugin.lang.php	(revision 8887)
@@ -28,5 +28,5 @@
 // Messages
 $lang['cf_from_name_error'] = 'Please enter a name';
-$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_mail_format_error'] = $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'];
 $lang['cf_subject_error'] = 'Please enter a subject';
 $lang['cf_message_error'] = 'Please enter a message';
Index: /extensions/ContactForm/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/es_ES/plugin.lang.php	(revision 8886)
+++ /extensions/ContactForm/language/es_ES/plugin.lang.php	(revision 8887)
@@ -27,5 +27,5 @@
 // Messages
 $lang['cf_from_name_error'] = 'Por favor, entre un nombre';
-$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_mail_format_error'] = $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'];
 $lang['cf_subject_error'] = 'Por favor, entre un sujeto';
 $lang['cf_message_error'] = 'Por favor, entre un mensaje';
Index: /extensions/ContactForm/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/fr_FR/plugin.lang.php	(revision 8886)
+++ /extensions/ContactForm/language/fr_FR/plugin.lang.php	(revision 8887)
@@ -28,5 +28,5 @@
 // Messages
 $lang['cf_from_name_error'] = 'Veuillez entrer un nom';
-$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_mail_format_error'] = $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'];
 $lang['cf_subject_error'] = 'Veuillez entrer un sujet';
 $lang['cf_message_error'] = 'Veuillez entrer un message';
Index: /extensions/ContactForm/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/hu_HU/plugin.lang.php	(revision 8886)
+++ /extensions/ContactForm/language/hu_HU/plugin.lang.php	(revision 8887)
@@ -28,5 +28,5 @@
 // Messages
 $lang['cf_from_name_error'] = 'Írj be egy nevet';
-$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_mail_format_error'] = $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'];
 $lang['cf_subject_error'] = 'Írd be a levél tárgyát';
 $lang['cf_message_error'] = 'Írd be az üzeneted';
Index: /extensions/ContactForm/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/it_IT/plugin.lang.php	(revision 8886)
+++ /extensions/ContactForm/language/it_IT/plugin.lang.php	(revision 8887)
@@ -27,5 +27,5 @@
 // Messages
 $lang['cf_from_name_error'] = 'Entrare un nome';
-$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_mail_format_error'] = $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'];
 $lang['cf_subject_error'] = 'Entrare un soggetto';
 $lang['cf_message_error'] = 'Entrare un messaggio';
Index: /extensions/ContactForm/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/lv_LV/plugin.lang.php	(revision 8886)
+++ /extensions/ContactForm/language/lv_LV/plugin.lang.php	(revision 8887)
@@ -28,5 +28,5 @@
 // Messages
 $lang['cf_from_name_error'] = 'Lūdzu ievadiet vārdu';
-$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_mail_format_error'] = $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'];
 $lang['cf_subject_error'] = 'Lūdzu ievadiet tematu';
 $lang['cf_message_error'] = 'Lūdzu ievadiet ziņojumu';
Index: /extensions/ContactForm/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/nl_NL/plugin.lang.php	(revision 8886)
+++ /extensions/ContactForm/language/nl_NL/plugin.lang.php	(revision 8887)
@@ -28,5 +28,5 @@
 // Messages
 $lang['cf_from_name_error'] = 'Vul een naam in';
-$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_mail_format_error'] = $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'];
 $lang['cf_subject_error'] = 'Vul een onderwerp in';
 $lang['cf_message_error'] = 'Vul een berichttekst in ';
Index: /extensions/ContactForm/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/pl_PL/plugin.lang.php	(revision 8886)
+++ /extensions/ContactForm/language/pl_PL/plugin.lang.php	(revision 8887)
@@ -27,5 +27,5 @@
 // Messages
 $lang['cf_from_name_error'] = 'Proszę podać nazwisko';
-$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_mail_format_error'] = $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'];
 $lang['cf_subject_error'] = 'Proszę podać temat';
 $lang['cf_message_error'] = 'Proszę wpisać wiadomość';
Index: /extensions/ContactForm/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/ru_RU/plugin.lang.php	(revision 8886)
+++ /extensions/ContactForm/language/ru_RU/plugin.lang.php	(revision 8887)
@@ -28,5 +28,5 @@
 // Сообщения
 $lang['cf_from_name_error'] = 'Пожалуйста, введите имя';
-$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_mail_format_error'] = $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'];
 $lang['cf_subject_error'] = 'Пожалуйста, укажите тему сообщения';
 $lang['cf_message_error'] = 'Пожалуйста, введите сообщение';
Index: /extensions/ContactForm/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/sk_SK/plugin.lang.php	(revision 8886)
+++ /extensions/ContactForm/language/sk_SK/plugin.lang.php	(revision 8887)
@@ -28,5 +28,5 @@
 // Messages
 $lang['cf_from_name_error'] = 'Prosím zadajte meno';
-$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_mail_format_error'] = $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'];
 $lang['cf_subject_error'] = 'Prosím zadajte predmet';
 $lang['cf_message_error'] = 'Prosím zadajte správu';
Index: /extensions/ContactForm/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/sv_SE/plugin.lang.php	(revision 8886)
+++ /extensions/ContactForm/language/sv_SE/plugin.lang.php	(revision 8887)
@@ -28,5 +28,5 @@
 // Messages
 $lang['cf_from_name_error'] = 'Ange ett namn';
-$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_mail_format_error'] = $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'];
 $lang['cf_subject_error'] = 'Ange ett ämnet';
 $lang['cf_message_error'] = 'Skriv ett meddelande';
Index: /extensions/ContactForm/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/tr_TR/plugin.lang.php	(revision 8886)
+++ /extensions/ContactForm/language/tr_TR/plugin.lang.php	(revision 8887)
@@ -28,5 +28,5 @@
 // Messages
 $lang['cf_from_name_error'] = 'Lütfen isminizi girin';
-$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_mail_format_error'] = $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'];
 $lang['cf_subject_error'] = 'Lütgen konuyu girin';
 $lang['cf_message_error'] = 'Lütfen mesajınızı girin';