Index: /trunk/language/pt_PT/admin.lang.php
===================================================================
--- /trunk/language/pt_PT/admin.lang.php	(revision 8890)
+++ /trunk/language/pt_PT/admin.lang.php	(revision 8891)
@@ -641,3 +641,65 @@
 $lang['Drop into album'] = 'Enviar para o álbum';
 $lang['duplicates'] = 'duplicados';
+$lang['Email administrators when a comment is deleted'] = 'Enviar um Email aos administradores quando um comentário for apagado';
+$lang['Email administrators when a comment is modified'] = 'Enviar um Email aos administradores quando um comentário for modificado';
+$lang['Error on file "%s" : %s'] = 'Erro no ficheiro "%s" : %s';
+$lang['Everybody'] = 'Todos';
+$lang['Exif extension not available, admin should disable exif use'] = 'Extensão Exif indisponível, o administrador deve descativar o uso de Exif';
+$lang['existing album'] = 'álbum existente';
+$lang['Failed to write file to disk'] = 'Falha ao escrever no disco';
+$lang['File upload stopped by extension'] = 'Envio de ficheiro parado pela extensão';
+$lang['Forbid this language to users'] = 'Proibir esta linguagem aos utilizadores';
+$lang['Forbid this theme to users'] = 'Proibir este tema aos utilizadores';
+$lang['FTP + Synchronization'] = 'FTP + Sincronização';
+$lang['Get Support on Piwigo Forum'] = 'Peça ajuda no fórum Piwigo';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Dê permissões de escrita (chmod 777) à pasta "%s" situada na raiz da sua intalação Piwigo';
+$lang['Guest Settings'] = 'Definições de Visitante';
+$lang['Help Me'] = 'Ajuda';
+$lang['Hit'] = 'Visita';
+$lang['Image Quality'] = 'Qualidade da Imagem';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Impossível activar este tema, o tema pai não existe: %s';
+$lang['Impossible to deactivate this language, first set another language as default.'] = 'Impossível activar esta linguagem, primeiro escolha outra linguagem por defeito.';
+$lang['Impossible to deactivate this language, you need at least one language.'] = 'Impossível desactivar esta linguagem, precisa de ter uma linguagem activa.';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Impossível desactivar este tema, precisa de ter um tema activa.';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Impossível apagar este tema, outros temas dependem dele: %s';
+$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'No seu php.ini o upload_max_filesize (%sB) é maior que o post_max_size (%sB). Deverá mudar esta definição.';
+$lang['Inactive Languages'] = 'Linguagens Inactivas';
+$lang['Inactive Plugins'] = 'Plugins Inactivos';
+$lang['Inactive Themes'] = 'Temas Inactivos';
+$lang['include child albums'] = 'incluír álbums filho';
+$lang['Install on your computer,'] = 'Instalar no seu computador,';
+$lang['Installed Languages'] = 'Linguagens Instaladas';
+$lang['Installed Themes'] = 'Temas Instalados';
+$lang['Instructions to use Piwigo'] = 'Instruções para usar Piwigo';
+$lang['Invert'] = 'Inverter';
+$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'Ficheiros JPEG ou arquivos ZIP com ficheiros JPEG dentro, por favor.';
+$lang['Keep high definition'] = 'Manter Alta Definição';
+$lang['Language has been successfully installed'] = 'Linguagem instalada com sucesso';
+$lang['Languages'] = 'Linguagens';
+$lang['last import'] = 'última importação';
+$lang['Main Page'] = 'Página Principal';
+$lang['Make this language available to users'] = 'Permitir aos utilizadores usar esta linguagem';
+$lang['Make this theme available to users'] = 'Permitir aos utilizadores usar este tema';
+$lang['Manage this set of %d photos'] = 'Gerir este conjunto de %d fotos';
+$lang['Manual order'] = 'Ordem Manual';
+$lang['manual order'] = 'ordem manual';
+$lang['Maximum Height'] = 'Altura máxima';
+$lang['Maximum Width'] = 'Largura máxima';
+$lang['Missing a temporary folder'] = 'Falta uma pasta temporária';
+$lang['Missing Plugins'] = 'Plugins em Falta';
+$lang['No file was uploaded'] = 'Nenhum ficheiro foi enviado';
+$lang['No photo in the current set.'] = 'Nenhuma foto no conjunto actual.';
+$lang['No photo selected, %d photos in current set'] = 'Nenhuma foto seleccionada, %d fotos no conjunto actual';
+$lang['No photo selected, no action possible.'] = 'Nenhuma foto seleccionada, Impossível realizar acção.';
+$lang['None'] = 'Nenhuma';
+$lang['on the %d selected photos'] = 'nas %d fotos seleccionadas';
+$lang['Operation in progress'] = 'Operação em progresso.';
+$lang['Order of menubar items has been updated successfully.'] = 'A ordem dos items do menú foi actualizada com sucesso.';
+$lang['Orphan tags deleted'] = 'Etiquetas orfãs removidas';
+$lang['Page end'] = 'Fim de Página';
+$lang['Password confirmation error.'] = 'Erro na confirmação da Palavra Passe.';
+$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Confirmação da Palavra Passe em falta. Por favor confirme a Palavra Passe escolhida.';
+$lang['Password is missing. Please enter the password.'] = 'Palavra Passe em falta. Por favor escreva a Palavra Passe.';
+$lang['Pending Comments'] = 'Comentários Pendentes';
+$lang['Photo Page'] = 'Página de Foto';
 ?>