Index: tensions/ContactForm/CHANGELOG
===================================================================
--- /extensions/ContactForm/CHANGELOG	(revision 8907)
+++ 	(revision )
@@ -1,93 +1,0 @@
-2011-01-26 1.1.9
-                  [r8887] Old key of language to be corrected  bug:2130
-				  [r8887] Add 2 trigger for compatibility with Captcha plugin and more plugin. Thanks to P@t
-
-2011-01-05 1.1.8
-                  [r8689] add ar_SA thanks to bakir
-				  [r8689] Remove version information in title on tab.
-
-2011-01-05 1.1.7
-                  [r8479] jQuery not charged (old way since 2.1) bug:2065
-                  [r8478] Compatibility with "Stripped" theme bug:2098
-                  [r8458] [r8480] Update nl_NL
-
-2010-12-19 1.1.6
-                  [r7641] No display the ContactForm page when the principal bloc is hidden bug:2008
-                  [r8151] [r8153] [r8196] jQuery not charged (old way since 2.1) bug:2065
-                  [r8152] Minors changes
-
-2010-10-17 1.1.5
-                  [r7204] Errors in the History tabs
-                  [r7241] Translations in tabs "Translations"
-                  [r7244] Incorrect characters encoding in cf_common.inc.php
-
-2010-10-17 1.1.4
-                  DELETED VERSION
-                  [r7204]
-                  [r7241]
-
-2010-10-15 1.1.3
-                  * [r7197] Added: the core "Contact Webmaster" link in footer is replaced by a link to the ContactForm page. It works with a smarty prefilter, so it should work with all themes.
-                  * [r7202] Compatible with "Simple" theme (grey - dark - white - sunset).
-2010-10-09 1.1.2
-                  * [r7135] Add sk_SK - Slovak (Slovensky). Thanks to Dodo.
-                  * [r7136] Fix bug "Wrong version number".
-                  
-2010-10-01 1.1.1
-                  * set a default list of target emails
-                  * use default mail subject if not defined at plugin level
-                  * adds German language (Deutsch) thanks to Sugar888
-                  * adds Hungarian language (Magyar) thanks to samli
-                  
-2010-07-26 1.1.0
-                  Fix bug: Localisazion doesn't work in the menubar.
-
-2010-06-13 1.0.9
-                  Compatibility for Piwigo v2.1.x
-
-2009-12-15 1.0.8
-                  Fix minor javascript bug.
-
-2009-12-14 1.0.7
-                  Fix bug: Form not displayed if template-extension is used on index.
-
-2009-08-21 1.0.6
-                  * Replace redirect page by a message on the index one.
-                  * Add e-mail address management.
-
-2009-08-21 1.0.5
-                  Add history tab.
-
-2009-08-19 1.0.4
-                  Update configuration pages.
-
-2009-08-18 1.0.3
-                  Add configuration option to define menu link or not.
-
-2009-08-18 1.0.2
-                  Add configuration option to define template variable or not.
-
-2009-08-17 1.0.1
-                  Add default value to language translation.
-
-2009-08-17 1.0.0
-                  Put under SVN control.
-
-2009-08-17 0.1.f
-                  Add obsolete list.
-
-2009-08-17 0.1.e
-                  * Add language configuration for items texts.
-                  * Add template variable.
-
-2009-08-14 0.1.d
-                  Add a redirection page when successfully sent message.
-
-2009-08-13 0.1.c
-                  Fix regexp bug in mail format check in javascript.
-
-2009-08-13 0.1.b
-                  Add admin management.
-
-2009-08-13 0.1.a
-                  Plugin creation.
Index: tensions/ContactForm/admin/cf_history.tab.php
===================================================================
--- /extensions/ContactForm/admin/cf_history.tab.php	(revision 8907)
+++ 	(revision )
@@ -1,9 +1,0 @@
-<?php
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-check_status(ACCESS_ADMINISTRATOR);
-
-$errors=array();
-$history = cf_get_history_list(CF_PATH.CF_CHANGELOG, $errors);
-$template->assign('CF_HISTORY', $history); 
-$template->assign('CF_HISTORY_ERROR', $errors); 
-?>
Index: tensions/ContactForm/admin/themes/cf_history.tab.tpl
===================================================================
--- /extensions/ContactForm/admin/themes/cf_history.tab.tpl	(revision 8907)
+++ 	(revision )
@@ -1,36 +1,0 @@
-<div class="titrePage">
-    <h2>{$CF.TITLE}<br>{'cf_history'|@translate}</h2>
-</div>
-<h3 style="width: 100%;">{'cf_history_desc'|@translate}</h3>
-<table class="table2">
-  <tr class="throw">
-    <th>{'cf_history_date'|@translate}</th>
-    <th>{'cf_history_version'|@translate}</th>
-    <th>{'cf_history_log'|@translate}</th>
-  </tr>
-{foreach from=$CF_HISTORY item=history_item name=history}
-  <tr class="{cycle values="row2,row1"}">
-    <td>
-    {if isset($history_item.DATE.FORMATTED)}
-      {$history_item.DATE.FORMATTED}
-    {else}
-      {$history_item.DATE.RAW}
-    {/if}
-    </td>
-    <td>{$history_item.VERSION}</td>
-    <td>
-    {foreach from=$history_item.CHANGES item=history_change}
-      <div>{$history_change}</div>
-    {/foreach}
-    </td>
-  </tr>
-{foreachelse}
-  <tr class="row2">
-    <td colspan="3" style="text-align: center;">
-    {foreach from=$CF_HISTORY_ERROR item=history_error}
-      <div>{$history_error}</div>
-    {/foreach}
-    </td>
-  </tr>
-{/foreach}
-</table>
Index: /extensions/ContactForm/config.php
===================================================================
--- /extensions/ContactForm/config.php	(revision 8907)
+++ /extensions/ContactForm/config.php	(revision 8908)
@@ -9,5 +9,4 @@
 $config_tabs[]='emails';
 $config_tabs[]='language';
-$config_tabs[]='history';
 
 global $template, $page;
Index: /extensions/ContactForm/include/cf_common.inc.php
===================================================================
--- /extensions/ContactForm/include/cf_common.inc.php	(revision 8907)
+++ /extensions/ContactForm/include/cf_common.inc.php	(revision 8908)
@@ -26,5 +26,4 @@
 // Files
 define('CF_OBSOLETE',           'obsolete.list');
-define('CF_CHANGELOG',          'CHANGELOG');
 // Constants
 define('CF_DEBUG_ACTIVE',       false);
Index: /extensions/ContactForm/language/ar_SA/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/ar_SA/plugin.lang.php	(revision 8907)
+++ /extensions/ContactForm/language/ar_SA/plugin.lang.php	(revision 8908)
@@ -77,13 +77,3 @@
 $lang['contact_form_label'] = 'الاسم مستخدم في شريط القوائم';
 $lang['contact_form_link_label'] = 'النص مستخدم في رابط الاتصال في ذيل الصفحة';
-// History tab
-$lang['cf_tab_history'] = 'التاريخ';
-$lang['cf_history'] = 'التاريخ';
-$lang['cf_history_desc'] = 'تغيير التاريخ';
-$lang['cf_history_date'] = 'التاريخ';
-$lang['cf_history_version'] = 'الاصدار';
-$lang['cf_history_log'] = 'التغيير';
-$lang['cf_file_not_found'] = 'الملف غير موجود';
-$lang['cf_file_empty'] = 'الملف فارغ';
-$lang['cf_format_date'] = '%M %D, %Y';
 ?>
Index: /extensions/ContactForm/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/cs_CZ/plugin.lang.php	(revision 8907)
+++ /extensions/ContactForm/language/cs_CZ/plugin.lang.php	(revision 8908)
@@ -77,13 +77,3 @@
 $lang['contact_form_label'] = 'Název použitý v menu';
 $lang['contact_form_link_label'] = 'Text použit pro kontaktní odkaz v zápatí stránky';
-// History tab
-$lang['cf_tab_history'] = 'Historie';
-$lang['cf_history'] = 'Historie';
-$lang['cf_history_desc'] = 'Změny historie';
-$lang['cf_history_date'] = 'Datum';
-$lang['cf_history_version'] = 'Verze';
-$lang['cf_history_log'] = 'Změny';
-$lang['cf_file_not_found'] = 'Soubor nenalezen';
-$lang['cf_file_empty'] = 'Soubor je prázdný';
-$lang['cf_format_date'] = '%D.%M,%Y';
 ?>
Index: /extensions/ContactForm/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/de_DE/plugin.lang.php	(revision 8907)
+++ /extensions/ContactForm/language/de_DE/plugin.lang.php	(revision 8908)
@@ -76,13 +76,3 @@
 $lang['contact_form_label'] = 'Angezeigter Name in der Menüleiste';
 $lang['contact_form_link_label'] = 'Benutzter Text als Kontaktlink in der Fusszeile';
-// History tab
-$lang['cf_tab_history'] = 'Historie';
-$lang['cf_history'] = 'Historie';
-$lang['cf_history_desc'] = 'Historie der Revisionen';
-$lang['cf_history_date'] = 'Datum';
-$lang['cf_history_version'] = 'Version';
-$lang['cf_history_log'] = 'Change log';
-$lang['cf_file_not_found'] = 'Datei konnte nicht gefunden werden';
-$lang['cf_file_empty'] = 'Die Datei ist lehr';
-$lang['cf_format_date'] = '%D %M %Y';
 ?>
Index: /extensions/ContactForm/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/en_UK/plugin.lang.php	(revision 8907)
+++ /extensions/ContactForm/language/en_UK/plugin.lang.php	(revision 8908)
@@ -77,13 +77,3 @@
 $lang['contact_form_label'] = 'Name used in menubar';
 $lang['contact_form_link_label'] = 'Text used for contact link in the page footer';
-// History tab
-$lang['cf_tab_history'] = 'History';
-$lang['cf_history'] = 'History';
-$lang['cf_history_desc'] = 'Changes history';
-$lang['cf_history_date'] = 'Date';
-$lang['cf_history_version'] = 'Version';
-$lang['cf_history_log'] = 'Changelog';
-$lang['cf_file_not_found'] = 'File not found';
-$lang['cf_file_empty'] = 'File is empty';
-$lang['cf_format_date'] = '%M %D, %Y';
 ?>
Index: /extensions/ContactForm/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/es_ES/plugin.lang.php	(revision 8907)
+++ /extensions/ContactForm/language/es_ES/plugin.lang.php	(revision 8908)
@@ -76,13 +76,3 @@
 $lang['contact_form_label'] = 'Nombre fijado en la barra de menús';
 $lang['contact_form_link_label'] = 'Texto utilizado para el lazo de contacto abajo página';
-// History tab
-$lang['cf_tab_history'] = 'Reseña histórica';
-$lang['cf_history'] = 'Reseña histórica';
-$lang['cf_history_desc'] = 'Reseña histórica de las modificaciones';
-$lang['cf_history_date'] = 'Fecha';
-$lang['cf_history_version'] = 'Versión';
-$lang['cf_history_log'] = 'Changelog';
-$lang['cf_file_not_found'] = 'Fichero no encontrado';
-$lang['cf_file_empty'] = 'Fichero vacío';
-$lang['cf_format_date'] = '%D %M %Y';
 ?>
Index: /extensions/ContactForm/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/fr_FR/plugin.lang.php	(revision 8907)
+++ /extensions/ContactForm/language/fr_FR/plugin.lang.php	(revision 8908)
@@ -77,13 +77,3 @@
 $lang['contact_form_label'] = 'Nom affiché dans la barre de menus';
 $lang['contact_form_link_label'] = 'Texte utilisé pour le lien de contact en bas de page';
-// History tab
-$lang['cf_tab_history'] = 'Historique';
-$lang['cf_history'] = 'Historique';
-$lang['cf_history_desc'] = 'Historique des modifications';
-$lang['cf_history_date'] = 'Date';
-$lang['cf_history_version'] = 'Version';
-$lang['cf_history_log'] = 'Changelog';
-$lang['cf_file_not_found'] = 'Fichier non trouvé';
-$lang['cf_file_empty'] = 'Fichier vide';
-$lang['cf_format_date'] = '%D %M %Y';
 ?>
Index: /extensions/ContactForm/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/hu_HU/plugin.lang.php	(revision 8907)
+++ /extensions/ContactForm/language/hu_HU/plugin.lang.php	(revision 8908)
@@ -77,13 +77,3 @@
 $lang['contact_form_label'] = 'Menüben használt menücím';
 $lang['contact_form_link_label'] = 'Az oldal láblécében használt kapcsolat link szövege';
-// History tab
-$lang['cf_tab_history'] = 'Verziótörténet';
-$lang['cf_history'] = 'Verziótörténet';
-$lang['cf_history_desc'] = 'Verziótörténet';
-$lang['cf_history_date'] = 'Dátum';
-$lang['cf_history_version'] = 'Változat';
-$lang['cf_history_log'] = 'Módosítások';
-$lang['cf_file_not_found'] = 'A fájl nem található';
-$lang['cf_file_empty'] = 'A fájl üres';
-$lang['cf_format_date'] = '%Y. %M %D.';
 ?>
Index: /extensions/ContactForm/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/it_IT/plugin.lang.php	(revision 8907)
+++ /extensions/ContactForm/language/it_IT/plugin.lang.php	(revision 8908)
@@ -76,13 +76,3 @@
 $lang['contact_form_label'] = 'Nome visualizzato nella barra dei menu';
 $lang['contact_form_link_label'] = 'Testo utilizzato per il link di contatto nel footer';
-// History tab
-$lang['cf_tab_history'] = 'Cronologia';
-$lang['cf_history'] = 'Cronologia';
-$lang['cf_history_desc'] = 'Cronologia delle modifiche';
-$lang['cf_history_date'] = 'Data';
-$lang['cf_history_version'] = 'Versione';
-$lang['cf_history_log'] = 'Changelog';
-$lang['cf_file_not_found'] = 'File non trovato';
-$lang['cf_file_empty'] = 'File vuoto';
-$lang['cf_format_date'] = '%D %M %Y';
 ?>
Index: /extensions/ContactForm/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/lv_LV/plugin.lang.php	(revision 8907)
+++ /extensions/ContactForm/language/lv_LV/plugin.lang.php	(revision 8908)
@@ -77,13 +77,3 @@
 $lang['contact_form_label'] = ' Izvēlnes joslā lietotais vārds';
 $lang['contact_form_link_label'] = 'Lapas kājenī kontaktsaitei lietotais teksts';
-// Iezīme vēsture
-$lang['cf_tab_history'] = 'Vēsture';
-$lang['cf_history'] = 'Vēsture';
-$lang['cf_history_desc'] = 'Izmaina vēsturi';
-$lang['cf_history_date'] = 'Datums';
-$lang['cf_history_version'] = 'Versija';
-$lang['cf_history_log'] = 'Izmaiņu logs (Changelog)';
-$lang['cf_file_not_found'] = 'Fails nav atrasts';
-$lang['cf_file_empty'] = 'Fails ir tukšs';
-$lang['cf_format_date'] = '%M %D, %Y';
 ?>
Index: /extensions/ContactForm/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/nl_NL/plugin.lang.php	(revision 8907)
+++ /extensions/ContactForm/language/nl_NL/plugin.lang.php	(revision 8908)
@@ -77,14 +77,3 @@
 $lang['contact_form_label'] = 'Naam gebruikt in de menubalk';
 $lang['contact_form_link_label'] = 'Tekt gebruikt in de contact link in de pagina voettekst';
-// History tab
-$lang['cf_tab_history'] = 'Historie';
-$lang['cf_history'] = 'Historie';
-$lang['cf_history_desc'] = 'Wijzigings geschiedenis';
-$lang['cf_history_date'] = 'Datum';
-$lang['cf_history_version'] = 'Versie';
-$lang['cf_history_log'] = 'wijzigingen log';
-$lang['cf_file_not_found'] = 'Bestand niet gevonden';
-$lang['cf_file_empty'] = 'Bestand is leeg';
-$lang['cf_format_date'] = '%D %M, %Y';
-
 ?>
Index: /extensions/ContactForm/language/no_NO/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/no_NO/plugin.lang.php	(revision 8907)
+++ /extensions/ContactForm/language/no_NO/plugin.lang.php	(revision 8908)
@@ -77,13 +77,3 @@
 $lang['contact_form_label'] = 'Navn brkt i meny linjen';
 $lang['contact_form_link_label'] = 'Tekst brukt kontakt link i sidens bunn linje';
-// History tab
-$lang['cf_tab_history'] = 'Historie';
-$lang['cf_history'] = 'Historie';
-$lang['cf_history_desc'] = 'Forandrer historie';
-$lang['cf_history_date'] = 'Dato';
-$lang['cf_history_version'] = 'Versjon';
-$lang['cf_history_log'] = 'Forandrings logg';
-$lang['cf_file_not_found'] = 'Fil ikke funnet';
-$lang['cf_file_empty'] = 'Filen er tom';
-$lang['cf_format_date'] = '%M %D, %Å';
 ?>
Index: /extensions/ContactForm/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/pl_PL/plugin.lang.php	(revision 8907)
+++ /extensions/ContactForm/language/pl_PL/plugin.lang.php	(revision 8908)
@@ -76,15 +76,4 @@
 $lang['contact_form_label'] = 'Nazwa używana w menubar';
 $lang['contact_form_link_label'] = 'Tekst używany w stopce strony jako link kontaktu';
-// History tab
-$lang['cf_tab_history'] = 'Historia';
-$lang['cf_history'] = 'Historia';
-$lang['cf_history_desc'] = 'Histora zmian';
-$lang['cf_history_date'] = 'Data';
-$lang['cf_history_version'] = 'Wersja';
-$lang['cf_history_log'] = 'Zmiany';
-$lang['cf_file_not_found'] = 'Pliku nie znaleziono';
-$lang['cf_file_empty'] = 'Plik jest pusty';
-$lang['cf_format_date'] = '%D %M %Y';
-
 // translated by emcek
 ?>
Index: /extensions/ContactForm/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/ru_RU/plugin.lang.php	(revision 8907)
+++ /extensions/ContactForm/language/ru_RU/plugin.lang.php	(revision 8908)
@@ -77,13 +77,3 @@
 $lang['contact_form_label'] = 'Имя элемента в меню';
 $lang['contact_form_link_label'] = 'Текст метки контактной информации внизу страницы';
-// Вкладка "Журнал"
-$lang['cf_tab_history'] = 'Журнал';
-$lang['cf_history'] = 'Журнал';
-$lang['cf_history_desc'] = 'Описание';
-$lang['cf_history_date'] = 'Дата';
-$lang['cf_history_version'] = 'Версия';
-$lang['cf_history_log'] = 'Журнал изменений';
-$lang['cf_file_not_found'] = 'Файл не найден';
-$lang['cf_file_empty'] = 'Файл пуст';
-$lang['cf_format_date'] = '%M %D, %Y';
 ?>
Index: /extensions/ContactForm/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/sk_SK/plugin.lang.php	(revision 8907)
+++ /extensions/ContactForm/language/sk_SK/plugin.lang.php	(revision 8908)
@@ -77,13 +77,3 @@
 $lang['contact_form_label'] = 'Názov použitý v menu';
 $lang['contact_form_link_label'] = 'Text použitý na kontaktný link v päte stránky';
-// History tab
-$lang['cf_tab_history'] = 'História';
-$lang['cf_history'] = 'History';
-$lang['cf_history_desc'] = 'Zmeny histórie';
-$lang['cf_history_date'] = 'Dátum';
-$lang['cf_history_version'] = 'Verzia';
-$lang['cf_history_log'] = 'Zmeny';
-$lang['cf_file_not_found'] = 'Súbor nenájdený';
-$lang['cf_file_empty'] = 'Súbor je prázdny';
-$lang['cf_format_date'] = '%D %M, %Y';
 ?>
Index: /extensions/ContactForm/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/sv_SE/plugin.lang.php	(revision 8907)
+++ /extensions/ContactForm/language/sv_SE/plugin.lang.php	(revision 8908)
@@ -77,14 +77,3 @@
 $lang['contact_form_label'] = 'Namn som används i menyraden';
 $lang['contact_form_link_label'] = 'Text som används för kontakt länken i sidfoten';
-// History tab
-$lang['cf_tab_history'] = 'Historia';
-$lang['cf_history'] = 'Historia';
-$lang['cf_history_desc'] = 'Ändringar i historian';
-$lang['cf_history_date'] = 'Datum';
-$lang['cf_history_version'] = 'Version';
-$lang['cf_history_log'] = 'Changelog';
-$lang['cf_file_not_found'] = 'Filen hittades inte';
-$lang['cf_file_empty'] = 'Filen är tom';
-$lang['cf_format_date'] = '%M %D, %Y';
-
 ?>
Index: /extensions/ContactForm/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/tr_TR/plugin.lang.php	(revision 8907)
+++ /extensions/ContactForm/language/tr_TR/plugin.lang.php	(revision 8908)
@@ -80,13 +80,3 @@
 $lang['contact_form_label'] = 'Name used in menubar';
 $lang['contact_form_link_label'] = 'Text used for contact link in the page footer';
-// History tab
-$lang['cf_tab_history'] = 'Geçmiş';
-$lang['cf_history'] = 'Geçmiş';
-$lang['cf_history_desc'] = 'Geçmiş değiştirildi';
-$lang['cf_history_date'] = 'Tarih';
-$lang['cf_history_version'] = 'Versiyon';
-$lang['cf_history_log'] = 'Changelog';
-$lang['cf_file_not_found'] = 'Dosya bulunamadı';
-$lang['cf_file_empty'] = 'Dosya boş';
-$lang['cf_format_date'] = '%D %M, %Y';
 ?>