Index: /extensions/ContactForm/admin/cf_config.php
===================================================================
--- /extensions/ContactForm/admin/cf_config.php	(revision 8908)
+++ /extensions/ContactForm/admin/cf_config.php	(revision 8909)
@@ -90,5 +90,4 @@
 $cf = array(
     'TITLE'     => $cf_plugin->get_title(),
-    'VERSION'   => $cf_plugin->get_version(),
     'F_ACTION'  => '',
   );
Index: /extensions/ContactForm/classes/cf_config.class.php
===================================================================
--- /extensions/ContactForm/classes/cf_config.class.php	(revision 8908)
+++ /extensions/ContactForm/classes/cf_config.class.php	(revision 8909)
@@ -33,11 +33,4 @@
   function set_value($key, $value) {
       $this->config_values[$key] = $value;
-  }
-
-  function get_version() {
-    if (isset($this->config_values[CF_CFG_VERSION])) {
-      return $this->config_values[CF_CFG_VERSION];
-    }
-    return CF_VERSION;
   }
 
@@ -120,6 +113,5 @@
     }
     $db_comment = sprintf($this->config_values[CF_CFG_COMMENT],
-                          $this->db_key,
-                          $this->get_version());
+                          $this->db_key);
     $query = '
         REPLACE INTO '.CONFIG_TABLE.'
@@ -146,8 +138,4 @@
     $config->load_config();
     $default_config = CF_Config::$default_config;
-    if (isset($default_config[CF_CFG_VERSION])) {
-      // Override version
-      $config->set_value(CF_CFG_VERSION, $default_config[CF_CFG_VERSION]);
-    }
     if (isset($default_config[CF_CFG_COMMENT])) {
       // Override comment
Index: /extensions/ContactForm/classes/cf_plugin.class.php
===================================================================
--- /extensions/ContactForm/classes/cf_plugin.class.php	(revision 8908)
+++ /extensions/ContactForm/classes/cf_plugin.class.php	(revision 8909)
@@ -151,8 +151,4 @@
   }
 
-  function get_version() {
-    return $this->config->get_version();
-  }
-  
   function get_title() {
     // Include language advices
Index: /extensions/ContactForm/config.php
===================================================================
--- /extensions/ContactForm/config.php	(revision 8908)
+++ /extensions/ContactForm/config.php	(revision 8909)
@@ -64,5 +64,4 @@
 $cf = array(
     'TITLE'     => $cf_plugin->get_title(),
-    'VERSION'   => $cf_plugin->get_version(),
     'F_ACTION'  => '',
   );
Index: /extensions/ContactForm/include/cf_common.inc.php
===================================================================
--- /extensions/ContactForm/include/cf_common.inc.php	(revision 8908)
+++ /extensions/ContactForm/include/cf_common.inc.php	(revision 8909)
@@ -7,5 +7,4 @@
 
 // Version
-define('CF_VERSION',            '1.1.9');
 define('CF_TITLE',              'cf_plugin_name');
 
@@ -44,5 +43,4 @@
 define('CF_CFG_DB_COMMENT',     'Configuration of plugin %s [%s]');
 define('CF_CFG_COMMENT',        'comment');
-define('CF_CFG_VERSION',        'version');
 
 define('CF_CFG_MENU_LINK',      'cf_menu_link');
Index: /extensions/ContactForm/main.inc.php
===================================================================
--- /extensions/ContactForm/main.inc.php	(revision 8908)
+++ /extensions/ContactForm/main.inc.php	(revision 8909)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Contact Form
-Version: 1.1.9
+Version: auto
 Description: Add a "Contact" item in the Menu block to offer a contact form to users
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=304
Index: /extensions/ContactForm/maintain.inc.php
===================================================================
--- /extensions/ContactForm/maintain.inc.php	(revision 8908)
+++ /extensions/ContactForm/maintain.inc.php	(revision 8909)
@@ -14,8 +14,4 @@
   // Include language advices
   load_language('plugin.lang', CF_PATH);
-  if ($version != CF_VERSION) {
-    array_push($errors, sprintf(l10n('cf_inconsistent_version'), $plugin_id));
-    return;
-  }
   update_config($plugin_id, CF_CFG_DB_FACTORY);
 }
@@ -37,5 +33,4 @@
   include_once(CF_PATH . 'include/cf_common.inc.php');
   $clean = cf_clean_obsolete_files(CF_OBSOLETE);
-  $cf_config_default[CF_CFG_VERSION] = CF_VERSION;
   if (null != $db_comment) {
     $cf_config_default[CF_CFG_COMMENT] = $db_comment;