Index: /extensions/cl_conflit/js/conflit.js
===================================================================
--- /extensions/cl_conflit/js/conflit.js	(revision 8925)
+++ /extensions/cl_conflit/js/conflit.js	(revision 8926)
@@ -1,11 +1,11 @@
 ﻿//==== cl_conflit  remplace $(... avec jQuery( ====
-
 //===================================================
 var detect = navigator.userAgent.toLowerCase();
+//   $_SERVER['HTTP_USER_AGENT'] ;
 var OS, version;
 //============================================================================== 
 browser = detect_browser();
-
 function detect_browser() {
+
     mybrowser = {
         browser: "",
@@ -17,7 +17,9 @@
         firefox: false,
         msie: false,
-        netscape: false
+        netscape: false,
+        seamonkey: false 
     }
     if (checkIt('konqueror')) { mybrowser.Konqueror = true; lbrowser = "konqueror"; OS = "Linux"; }
+    else if (checkIt('seamonkey')) { mybrowser.seamonkey = true; lbrowser = "seamonkey"; }
     else if (checkIt('chrome')) { mybrowser.chrome = true; lbrowser = "chrome"; }
     else if (checkIt('safari')) { mybrowser.safari = true; lbrowser = "safari"; }
@@ -37,14 +39,9 @@
         else OS = "an unknown operating system";
     }
-    mybrowser.version =version;
+    mybrowser.version = version;
     mybrowser.OS = OS;
     mybrowser.browser = lbrowser;
     return mybrowser
-
-
 };
-
-
-
 function checkIt(string) {
     place = detect.indexOf(string) + 1;
@@ -52,9 +49,8 @@
     return place;
 }
+
 /*
   
 */
-
-
 konqueror = mybrowser.konqueror || false;
 chrome = mybrowser.chrome || false;
@@ -65,8 +61,6 @@
 msie = mybrowser.msie || false;
 netscape = mybrowser.netscape || false;
-
 var time_out = 0;
 //===================================================
-
 nbpa = 0;
 var Fn;
@@ -83,5 +77,5 @@
             return ret_element;
         }
-    
+
     }
 
@@ -113,8 +107,8 @@
 
         }
-       
+
 
     } else if (retour.match(RegExp("luciano", "gi"))) {
-         
+
 
         ret_element = jQuery().$Luciano(element, nc);
@@ -184,16 +178,14 @@
             })
             //=============================================================  
-
             //   jQuery(window).resize();
         });
-        //=============================================================        
         //  $ = _$2; ;
     });
-
-
-
 //=========================================================
-
 jQuery.fn.extend({
+    $: function (el, nc) {
+        a = conflit(el, nc);
+        return a;
+    },
 
     //---------------- luciano -------------------------------
@@ -320,5 +312,5 @@
                         callstack.push("jQuery");
                         isCallstackPopulated = true;
-                     
+
                         break;
                     }
@@ -460,5 +452,5 @@
     state = states.join('\n');
     if (state == "") {
-        
+
         if (DEBUG == "true") {
             Fn = all_functions.join('\n');
@@ -469,5 +461,5 @@
         }
 
- 
+
         state = state_ff;
     }
@@ -477,9 +469,6 @@
 }
 //====================================
-test_conflit = false;
+
 librairies = new Array;
-
-
-
 $_ = $;
 function save_framework(page) {
@@ -512,5 +501,4 @@
                     //==== compatibilité Gally/LLGBO ===                 
                     jQuery(Parent).css({ position: "static" });
-
                 }
             } catch (e) {
@@ -519,5 +507,5 @@
         }
     }
-     
+
     $_2 = $;
     return
@@ -535,8 +523,9 @@
 })(jQuery);
 
-if (test_conflit != true) {
+if (typeof MooTools == "undefined" && typeof Prototype == "undefined") {
+
+} else {}
     //-------------------------------------------------------------- 
     $_0 = $;
-
     function $(element, nc0) {
         if (typeof jQuery.fn.infos != "function")
@@ -546,51 +535,8 @@
         return a;
     }
-
-
-        $.isFunction = function (value) { return jQuery.isFunction(value); }
-        $.inArray = function (a, b) { return jQuery.inArray(a, b); }
-        $.error  = function (a , b , c)  {jQuery.error(a , b , c);} 
-
-    if (typeof ($.extend) != "function") {
-
-     $.extend = function (a,b) {
-         return jQuery.extend(a, b);
-        } ;
-
- 
-     }
-
-    if (typeof ($.ajax) != "function") {
-        $.ajax = function (origSettings) {
-            jQuery.ajax(origSettings);
-        }
-
-
-        $.parseJSON = function (msg) {
-            return jQuery.parseJSON(msg);
-        }
-
-
-    }
-    //============================================
-    /* url (String): URl de la page à charger 
-    * params (Map): (optionnel) paires de clé/valeur qui seront envoyées au serveur. 
-    * callback (Fonction): (optionnel) fonction qui sera éxécutée quand les données sera chargées. 
-    * type (String): (optionnel) format des données renvoyées à la fonction de callback 
-    */
-    if (typeof ($.get) != "function") {
-        $.get = function (a, b, c, d) {
-            return jQuery.get(a, b, c, d);
-        }
-    }
-    if (typeof ($.post) != "function") {
-
-        $.post = function (a, b, c, d) {
-            return jQuery.post(a, b, c, d);
-        }
-        ;
-
-    }
- 
-}
-//-------------------------------------------------------------- 
+    //=== ajout des fonctions jQuery ===
+    jQuery.extend($, jQuery);
+
+
+    //-------------------------------------------------------------- 
+
Index: /extensions/cl_conflit/js/jquery.dimensions.js
===================================================================
--- /extensions/cl_conflit/js/jquery.dimensions.js	(revision 8925)
+++ /extensions/cl_conflit/js/jquery.dimensions.js	(revision 8926)
@@ -58,6 +58,35 @@
             }) : this[0] == window || this[0] == document ? self[(name == 'Left' ? 'pageXOffset' : 'pageYOffset')] || jQuery.boxModel && document.documentElement['scroll' + name] || document.body['scroll' + name] : this[0]['scroll' + name];
         };
+        //================================================
+        jQuery.fn['absolute' + name] = function (val) {
+            if (!this[0]) return;
+                       a = jQuery(this[0]);
+            m = 0;
+            while (a.length > 0) {
+                val = jQuery(a).infos();
+                if (val.position != "absolute") {
+                    m += name == 'Left' ? val.left : val.top;
+                    m += name == 'Left' ? val.margin.left : val.margin.top;
+                    m += name == 'Left' ? val.margin.right : val.margin.bottom;
+                    m += name == 'Left' ? val.borderwidth.left : val.borderwidth.top;
+                 //   m += name == 'Left' ? val.borderwidth.right : val.borderwidth.bottom;
+                 //   m += name == 'Left' ? val.padding.left : val.padding.top;
+                 //   m += name == 'Left' ? val.padding.right : val.padding.bottom;
+                     a = jQuery(a).offsetParent();
+                } else
+                    break;
+
+            }
+            //306
+
+
+            return m;
+
+
+        };
+
 
     });
+    //=====================================================
     jQuery.fn.extend({
 
@@ -106,5 +135,5 @@
                 if (elem.nodeName) nodeName = elem.nodeName;
 
-               
+
                 if (elem == window) {
 
@@ -113,4 +142,5 @@
                     height = jQuery(elem).height();
                 } else {
+
                     Css = jQuery(elem).getStyles(elem);
                     myposition = Css.position || "";
@@ -135,4 +165,6 @@
                     margin.top = jQuery(elem).Get_Val_int(Css.marginTop, "", "", 'marginTop');
                     margin.bottom = jQuery(elem).Get_Val_int(Css.marginBottom, "", "", 'marginBottom');
+
+
                     try {
                         margin.margin = Css.margin;
@@ -146,4 +178,5 @@
                     padding.top = jQuery(elem).Get_Val_int(Css.paddingTop, "", "", 'paddingTop');
                     padding.bottom = jQuery(elem).Get_Val_int(Css.paddingBottom, "", "", 'paddingBottom');
+
                     try {
                         padding.padding = Css.padding;
@@ -155,5 +188,5 @@
                     Cl_Position = { Top: 0, Left: 0 };
                 } else {
-                    Cl_Position = jQuery(elem).position();
+                    Cl_Position = jQuery(elem).d_position();
                 }
                 Left = Cl_Position.left;
@@ -181,5 +214,5 @@
         * Cl_Position de l'object elem
         */
-        position: function () {
+        d_position: function () {
             var left = 0, top = 0, elem = this[0], offset, parentOffset, offsetParent, results;
 
@@ -249,5 +282,4 @@
         Get_Val_int: function (myObj, Maxi_val, Mini_val, prop) {
             var val = 0;
-
             Maxi_val = parseInt(Maxi_val || "0");
 